package com.usoft.fin.grpc.dal.entity;

/**
 * <pre>
 * 消息表
 * 表名 : t_messages
 * </pre>
 * @author: Mybatis Generator
 */
public class Messages {
    /**
     * <pre>
     * 主键
     * 表字段 : t_messages.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 消息ID
     * 表字段 : t_messages.ms_code
     * </pre>
     */
    private String msCode;

    /**
     * <pre>
     * 内容
     * 表字段 : t_messages.ms_content
     * </pre>
     */
    private String msContent;

    /**
     * <pre>
     * 已读或未读
     * 表字段 : t_messages.ms_isread
     * </pre>
     */
    private Short msIsread;

    /**
     * <pre>
     * 接收人企业UU
     * 表字段 : t_messages.ms_receiverenuu
     * </pre>
     */
    private Long msReceiverenuu;

    /**
     * <pre>
     * 消息类型
     * 表字段 : t_messages.ms_type
     * </pre>
     */
    private String msType;

    /**
     * <pre>
     * 备注
     * 表字段 : t_messages.ms_remark
     * </pre>
     */
    private String msRemark;

    /**
     * <pre>
     * 消息创建时间
     * 表字段 : t_messages.ms_create_time
     * </pre>
     */
    private String msCreateTime;

    /**
     * <pre>
     * 主键
     * 表字段 : t_messages.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * 主键
     * 表字段 : t_messages.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 消息ID
     * 表字段 : t_messages.ms_code
     * </pre>
     */
    public String getMsCode() {
        return msCode;
    }

    /**
     * <pre>
     * 消息ID
     * 表字段 : t_messages.ms_code
     * </pre>
     */
    public void setMsCode(String msCode) {
        this.msCode = msCode == null ? null : msCode.trim();
    }

    /**
     * <pre>
     * 内容
     * 表字段 : t_messages.ms_content
     * </pre>
     */
    public String getMsContent() {
        return msContent;
    }

    /**
     * <pre>
     * 内容
     * 表字段 : t_messages.ms_content
     * </pre>
     */
    public void setMsContent(String msContent) {
        this.msContent = msContent == null ? null : msContent.trim();
    }

    /**
     * <pre>
     * 已读或未读
     * 表字段 : t_messages.ms_isread
     * </pre>
     */
    public Short getMsIsread() {
        return msIsread;
    }

    /**
     * <pre>
     * 已读或未读
     * 表字段 : t_messages.ms_isread
     * </pre>
     */
    public void setMsIsread(Short msIsread) {
        this.msIsread = msIsread;
    }

    /**
     * <pre>
     * 接收人企业UU
     * 表字段 : t_messages.ms_receiverenuu
     * </pre>
     */
    public Long getMsReceiverenuu() {
        return msReceiverenuu;
    }

    /**
     * <pre>
     * 接收人企业UU
     * 表字段 : t_messages.ms_receiverenuu
     * </pre>
     */
    public void setMsReceiverenuu(Long msReceiverenuu) {
        this.msReceiverenuu = msReceiverenuu;
    }

    /**
     * <pre>
     * 消息类型
     * 表字段 : t_messages.ms_type
     * </pre>
     */
    public String getMsType() {
        return msType;
    }

    /**
     * <pre>
     * 消息类型
     * 表字段 : t_messages.ms_type
     * </pre>
     */
    public void setMsType(String msType) {
        this.msType = msType == null ? null : msType.trim();
    }

    /**
     * <pre>
     * 备注
     * 表字段 : t_messages.ms_remark
     * </pre>
     */
    public String getMsRemark() {
        return msRemark;
    }

    /**
     * <pre>
     * 备注
     * 表字段 : t_messages.ms_remark
     * </pre>
     */
    public void setMsRemark(String msRemark) {
        this.msRemark = msRemark == null ? null : msRemark.trim();
    }

    /**
     * <pre>
     * 消息创建时间
     * 表字段 : t_messages.ms_create_time
     * </pre>
     */
    public String getMsCreateTime() {
        return msCreateTime;
    }

    /**
     * <pre>
     * 消息创建时间
     * 表字段 : t_messages.ms_create_time
     * </pre>
     */
    public void setMsCreateTime(String msCreateTime) {
        this.msCreateTime = msCreateTime == null ? null : msCreateTime.trim();
    }
}